=== debian/changelog ===
codelite (13.0-1unofficial3.bionic) bionic; urgency=low

  * New Language Server Plugin for code-completion
  * The wxCrafter plugin is now open-source and included in the main package
  * Multiple UI changes

 -- David Hart <david@codelite.co.uk>  Mon, 13 May 2019 12:30:16 +0100

codelite (12.0-1) stable; urgency=low

  * Code-completion improvements
  * Cosmetic improvements

 -- David Hart <david@codelite.co.uk>  Sun, 25 Feb 2018 14:35:10 +0000

codelite (11.0-1) stable; urgency=low

  * New Vim-mode plugin that provides vim-like keybinding
  * New PHP-lint plugin
  * Improvements to the Diff viewer 

 -- David Hart <david@codelite.co.uk>  Mon, 09 Oct 2017 14:09:38 +0100

codelite (10.0-1) stable; urgency=low

  * New plugin 'Tail' for viewing log files
  * New plugin 'EditorConfig' for editorconfig support
  * New plugin 'Auto Save' 
  * Git plugin: added git blame functionality 

 -- David Hart <david@codelite.co.uk>  Mon, 02 Jan 2017 10:39:33 +0000

codelite (9.2-1) stable; urgency=low

  * Improved CMake support
  * Merged the find-replace dialog functions into the QuickFind bar
  * Various bug-fixes

 -- David Hart <david@codelite.co.uk>  Sat, 11 Jun 2016 12:40:26 +0100

codelite (9.1-1) stable; urgency=low

  * Support for gdb reverse-debugging
  * Font improvements to make CodeLite retina aware
  * Various bug-fixes

 -- David Hart <david@codelite.co.uk>  Fri, 29 Jan 2016 15:07:22 +0000

codelite (9.0-1) stable; urgency=low

  * PHP and Node.js improvements
  * Tabs can now be configurably on a side of a pane instead of on top
  * Various bug-fixes

 -- David Hart <david@codelite.co.uk>  Sat, 10 Oct 2015 19:24:46 +0100

codelite (8.1-1) stable; urgency=low

  * Support for new workspace type Node.js
  * WebTools plugin now supports Node.js
  * Various enhancements to search dialogs and the Explorer pane

 -- David Hart <david@codelite.co.uk>  Fri, 01 Aug 2015 11:44:20 +0100

codelite (8.0-1) stable; urgency=low

  * A new Webtools plugin for HTML, XML and JavaScript code-completion
  * There is now a wizard for initial configuration
  * Support for using Zeal offline documentation

 -- David Hart <david@codelite.co.uk>  Fri, 01 May 2015 15:30:37 +0100

codelite (7.0-1) stable; urgency=low

  * There is a new PHP plugin
  * There is a new Word-Completion plugin
  * Various editor and code-completion improvements

 -- David Hart <david@codelite.co.uk>  Thu, 05 Feb 2015 13:28:12 +0000

codelite (6.1-1) stable; urgency=low

  * There is a new SpellChecker plugin
  * There is a new MemCheck (valgrind) plugin
  * CodeLite now has many more themes available

 -- David Hart <david@codelite.co.uk>  Sat, 23 Aug 2014 15:26:15 +0100

codelite (6.0-1) stable; urgency=low

  * There is a new LLDB plugin
  * Available compilers are now autodetected
  * It's now possible to Undo/Redo multiple edits at a time

 -- David Hart <david@codelite.co.uk>  Tue, 31 May 2014 19:37:45 +0100

codelite (5.4-1) stable; urgency=low

  * A new plugin, Tweaks, lets the user tweak various CodeLite UI elements
  * A new plugin, CMakePlugin, that (optionally) generates cmake makefiles
  * Added codelite-terminal, a terminal emulator for launching applications
  * CodeLite is now built against the new wxWidgets 3.0 stable release

 -- David Hart <david@codelite.co.uk>  Fri, 10 Jan 2014 10:14:31 +0000

codelite (5.3-1) stable; urgency=low

  * Added a new plugin, SFTP, for ssh workspace-mirroring and browsing
  * Added codelite-make, a cli makefile generator
  * Many improvements and fixes

 -- David Hart <david@codelite.co.uk>  Sun, 20 Oct 2013 22:18:42 +0100

codelite (5.2-1) stable; urgency=low

  * The Debugger pane now has a Disassemble tab
  * Added support for the clang compiler
  * Added syntax highlighting for Javascript

 -- David Hart <david@codelite.co.uk>  Thu, 11 Jul 2013 14:55:59 +0100

codelite (5.1-1) unstable; urgency=low

  * Codelite now supports GDB python pretty printers
  * Added new dark coloring theme: "Zmrok"
  * Added a Czech translation from Miroslav Kučera

 -- David Hart <david@codelite.co.uk>  Wed, 20 Mar 2013 18:59:23 +0000

codelite (4.0.5588-1.maverick) maverick; urgency=low

  * New plugin: Call-Graph, a gui front-end for gprof
  * Improvements to clang code-completion
  * Multiple bug-fixes

 -- David Hart <david@codelite.co.uk>  Tue, 05 Jun 2012 09:28:41 +0100

codelite (3.5.0.5375-1.maverick) maverick; urgency=low

  * New ability to set different 'perspectives'
  * clang library now included
  * Code-completion performance improvements

 -- David Hart <david@codelite.co.uk>  Tue, 27 Dec 2011 12:50:40 +0000

codelite (3.0.0.5041-1.maverick) maverick; urgency=low

  * New DatabaseExplorer plugin
  * Optional use of clang for additional code-completion
  * Ability to debug core-dumps

 -- David Hart <david@codelite.co.uk>  Mon, 29 Aug 2011 15:09:12 +0100

codelite (2.10.0.4778-1.maverick) maverick; urgency=low

  * New git plugin
  * Multiple bug-fixes

 -- David Hart <david@codelite.co.uk>  Wed, 13 Apr 2011 14:42:13 +0100

codelite (2.9.0.4684-1) unstable; urgency=low

  * Upgraded scintilla to version 2.2
  * Changes to enable and facilitate i18n
  * Multiple bug-fixes

 -- David Hart <david@codelite.co.uk>  Fri, 31 Dec 2010 15:02:47 +0000

codelite (2.8.0.4537-1) unstable; urgency=low

  * Debugging: Improved 'Locals' and 'Watches' tabs, and PreDefined Types
  * Improvements to the 'Find in Files' dialog
  * Multiple bug-fixes

 -- David Hart <david@codelite.co.uk>  Mon, 01 Nov 2010 12:22:19 +0000

codelite (2.7.0.4375-1) unstable; urgency=low

  * New: code completion now supports completion for template inheritance
  * New: Added a 'Find' facility to most of the output-view windows
  * Performance improvements for the codelite_indexer
  * Changes to do with the toolbars icons
  * Multiple bug-fixes

 -- David Hart <david@codelite.co.uk>  Tue, 07 Sep 2010 12:00:03 +0100
